MyGUI::IRenderTarget Class Referenceabstract

`#include <MyGUI_IRenderTarget.h>`

## Public Member Functions

virtual | ~IRenderTarget ()=default
virtual void | begin ()=0
virtual void | end ()=0
virtual void | doRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)=0
virtual const RenderTargetInfo & | getInfo () const =0

## Detailed Description

Definition at line 20 of file MyGUI_IRenderTarget.h.

## Constructor & Destructor Documentation

## ~IRenderTarget()

virtual MyGUI::IRenderTarget::~IRenderTarget | ( |  | ) |

virtual default

## Member Function Documentation

## begin()

virtual void MyGUI::IRenderTarget::begin | ( |  | ) |

pure virtual

## doRender()

virtual void MyGUI::IRenderTarget::doRender | ( | IVertexBuffer * | _buffer,
|  | ITexture * | _texture,
|  | size_t | _count )

pure virtual

## end()

virtual void MyGUI::IRenderTarget::end | ( |  | ) |

pure virtual

## getInfo()

virtual const RenderTargetInfo & MyGUI::IRenderTarget::getInfo | ( |  | ) | const

pure virtual

The documentation for this class was generated from the following file:

- MyGUI_IRenderTarget.h